/*-------------------------------------------------------------------------
 *
 * LemClient.h
 *
 *         Copyright (c) 2005 Andrei V. Shetuhin & AOT.ru
 *
 *         .
 *
 *
 *-------------------------------------------------------------------------
 */
#ifndef __LEM_CLIENT_H_
#define __LEM_CLIENT_H_ 1

#define C_RUS_GRAM_TAB 0x01
#define C_ENG_GRAM_TAB 0x02
#define C_GER_GRAM_TAB 0x04

#ifdef __cplusplus
extern "C"
{
#endif

#ifndef _WITHOUT_OLD_API
#define lemmatiser_init            LemmatizerInit
#define lemmatiser_load_dictionary LemmatizerLoadDict
#define lemmatizer_lemmatize       LemmatizerLemmatize
#define lemmatiser_codes           LemmatizerGetCodes
#define lemmatiser_first_form      LemmatizerFirstForm
#define lemmatiser_done            LemmatizerDestroy
#endif

#ifdef _THREAD_SAFE
#error Cannot work in multithread mode.
#endif

//
//  
//
void * LemmatizerInit(int iLang);

//
//  
//
int LemmatizerLoadDict(void * pLematizer);

//
//   
//
char ** LemmatizerFirstForm(void * pLematizer, char * szRequest);

//
//  
//
void LemmatizerDestroy(void * pLematizer);

#ifdef __cplusplus
}
#endif

#endif // __LEM_CLIENT_H_
// End.
